Bug 26768 - Remove the use of jquery.checkboxes plugin from library transfer limits page
Summary: Remove the use of jquery.checkboxes plugin from library transfer limits page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks: 26006 26806
  Show dependency treegraph
 
Reported: 2020-10-21 15:53 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26768: Remove the use of jquery.checkboxes plugin from library transfer limits page (5.77 KB, patch)
2020-10-21 17:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26768: Remove the use of jquery.checkboxes plugin from library transfer limits page (5.83 KB, patch)
2020-10-24 20:43 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 26768: Remove the use of jquery.checkboxes plugin from library transfer limits page (5.88 KB, patch)
2020-10-25 01:20 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-21 15:53:58 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should replaced in the staff interface on the branch transfer limits page.
Comment 1 Owen Leonard 2020-10-21 17:59:05 UTC
Created attachment 112117 [details] [review]
Bug 26768: Remove the use of jquery.checkboxes plugin from library transfer limits page

This patch modifies the library transfer limits page to eliminate the
use of the jquery.checkboxes plugin.

To test, apply the patch and go to Administration -> Library transfer
limits.

- Test the "For all collection codes" links, "Select all" and "Clear
  all." Each should affect all checkboxes on all tabs.
- Click various tabs and confirm that the "select all" and "clear all"
  links within that tab work correctly, affecting only the checkboxes in
  that tab.
Comment 2 Lisette Scheer 2020-10-24 20:43:25 UTC
Created attachment 112400 [details] [review]
Bug 26768: Remove the use of jquery.checkboxes plugin from library transfer limits page

This patch modifies the library transfer limits page to eliminate the
use of the jquery.checkboxes plugin.

To test, apply the patch and go to Administration -> Library transfer
limits.

- Test the "For all collection codes" links, "Select all" and "Clear
  all." Each should affect all checkboxes on all tabs.
- Click various tabs and confirm that the "select all" and "clear all"
  links within that tab work correctly, affecting only the checkboxes in
  that tab.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 3 Nick Clemens 2020-10-25 01:20:26 UTC
Created attachment 112441 [details] [review]
Bug 26768: Remove the use of jquery.checkboxes plugin from library transfer limits page

This patch modifies the library transfer limits page to eliminate the
use of the jquery.checkboxes plugin.

To test, apply the patch and go to Administration -> Library transfer
limits.

- Test the "For all collection codes" links, "Select all" and "Clear
  all." Each should affect all checkboxes on all tabs.
- Click various tabs and confirm that the "select all" and "clear all"
  links within that tab work correctly, affecting only the checkboxes in
  that tab.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-11-03 09:59:17 UTC
Pushed to master for 20.11, thanks to everybody involved!